韩国麦当劳
2022-03-30 20:49
采纳率: 75%
浏览 1.6k
已结题

使用python安装,pip install falconn时报错,请问这是为什么啊

Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Collecting falconn
  Using cached https://pypi.tuna.tsinghua.edu.cn/packages/96/b8/0d2c629d59398a7b3ed8726ce049abf6746bbf09d1ad15878d4fcf8048a6/FALCONN-1.3.1.tar.gz (1.4 MB)
  Preparing metadata (setup.py) ... done
Building wheels for collected packages: falconn
  Building wheel for falconn (setup.py) ... error
  error: subprocess-exited-with-error

  × python setup.py bdist_wheel did not run successfully.
  │ exit code: 1
  ╰─> [17 lines of output]
      running bdist_wheel
      running build
      running build_py
      creating build
      creating build\lib.win-amd64-3.7
      creating build\lib.win-amd64-3.7\falconn
      copying falconn\__init__.py -> build\lib.win-amd64-3.7\falconn
      running egg_info
      writing FALCONN.egg-info\PKG-INFO
      writing dependency_links to FALCONN.egg-info\dependency_links.txt
      writing top-level names to FALCONN.egg-info\top_level.txt
      reading manifest file 'FALCONN.egg-info\SOURCES.txt'
      reading manifest template 'MANIFEST.in'
      writing manifest file 'FALCONN.egg-info\SOURCES.txt'
      running build_ext
      building '_falconn' extension
      error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
      [end of output]

  note: This error originates from a subprocess, and is likely not a problem with pip.
  ERROR: Failed building wheel for falconn
  Running setup.py clean for falconn
Failed to build falconn
Installing collected packages: falconn
  Running setup.py install for falconn ... error
  error: subprocess-exited-with-error

  × Running setup.py install for falconn did not run successfully.
  │ exit code: 1
  ╰─> [17 lines of output]
      running install
      running build
      running build_py
      creating build
      creating build\lib.win-amd64-3.7
      creating build\lib.win-amd64-3.7\falconn
      copying falconn\__init__.py -> build\lib.win-amd64-3.7\falconn
      running egg_info
      writing FALCONN.egg-info\PKG-INFO
      writing dependency_links to FALCONN.egg-info\dependency_links.txt
      writing top-level names to FALCONN.egg-info\top_level.txt
      reading manifest file 'FALCONN.egg-info\SOURCES.txt'
      reading manifest template 'MANIFEST.in'
      writing manifest file 'FALCONN.egg-info\SOURCES.txt'
      running build_ext
      building '_falconn' extension
      error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
      [end of output]

  note: This error originates from a subprocess, and is likely not a problem with pip.
error: legacy-install-failure

× Encountered error while trying to install package.
╰─> falconn

note: This is an issue with the package mentioned above, not pip.
hint: See above for output from the failure.

3条回答 默认 最新

相关推荐 更多相似问题